
package de.ivu.elect.jee.presentation.dynamictable;

import java.io.Serializable;

public class ColumnModel implements Serializable {

  private static final long serialVersionUID = 1L;

  private final String header;

  private final String property;

  private String styleClass;

  public ColumnModel(String header, String property) {
    this.header = header;
    this.property = property;
  }

  public ColumnModel(String header, String property, String styleClass) {
    this(header, property);
    this.styleClass = styleClass;
  }

  public String getHeader() {
    return header;
  }

  public String getProperty() {
    return property;
  }

  public String getStyleClass() {
    return styleClass;
  }

  public void setStyleClass(String styleClass) {
    this.styleClass = styleClass;
  }
}
